POST/shares/tree

Get the page tree for a public share

Retrieves the page tree for a public share. Supply shareId to identify the share whose pages you want to retrieve. The response provides the share's page tree.

  • IdempotentThe SDK sends Idempotency-Key, so a retried request is only applied once.

1 body field

The identifier of the public share whose page tree to retrieve.

shareIdstringrequired
ID of the share.

2 status codes
200Returns the page tree for the specified public share.
dataobjectoptional
statusintegeroptional
successbooleanoptional
404Returned when the specified share does not exist.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional

Error handling

A 404 is returned when the share identified by shareId does not exist. Supply shareId in the request body to identify the public share.